QGIS Application - Bug report #12507
Browser connections issues in master
2015-04-04 10:42 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee: Jurgen Fischer
Category: Browser

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 20653

Description

There are a few regression in the QGIS browser about OWS connections.

- the WMS/WFS/WCS connections under "OWS" do not work at all

- WMTS servers do not work

- When a connection fails no error message is show

All the above worked as expected in 2.6, see attached images.

Associated revisions

Revision 402df032 - 2015-06-08 02:10 PM - Jiirgen Fischer

ows data items: population of children already runs in a thread - don't use subthreads for each provider (fixes #12507)

Revision 129be681 - 2015-06-29 06:46 PM - Juirgen Fischer

ows data items: population of children already runs in a thread - don't use subthreads for each provider (fixes #12507)

(cherry picked from commit 402df0323e81b53c81d472b8376b6a0c8fb57eed)

History

#1 - 2015-05-14 03:02 AM - Giovanni Manghi
- Target version changed from Version 2.8.2 to Veersion 2.10

#2 - 2015-06-08 02:21 AM - Jiirgen Fischer
- Assignee set to Jirgen Fischer

#3 - 2015-06-08 05:10 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"402df0323e81b53c81d472b8376b6a0c8fb57eed".

#4 - 2015-06-17 06:45 AM - Giovanni Manghi
- Subject changed from Browser OWS connections issues in 2.8.1/master to Browser connections issues in master
- Target version changed from Version 2.10 to Future Release - High Priority

- Status changed from Closed to Reopened

WMTS connections still do not show any layer in the WMS group of browser, but it is ok in OWS. Was working on 2.6.1

#5 - 2015-06-30 04:54 AM - Jiirgen Fischer
- Status changed from Reopened to Closed

Fixed in changeset commit:"129be681b079a5876656264b196ab86e2ff7f659".
